Halide 22.0.0 Halide compiler and libraries

Public Member Functions | Public Attributes | Protected Member Functions | List of all members
Halide::Runtime::Internal::Synchronization::mutex_parking_control Struct Referencefinal

`#include <synchronization_common.h>`

Inheritance diagram for Halide::Runtime::Internal::Synchronization::mutex_parking_control:

## Public Member Functions
ALWAYS_INLINE | mutex_parking_control (uintptr_t *lock_state)
Public Member Functions inherited from Halide::Runtime::Internal::Synchronization::parking_control
uintptr_t | park (uintptr_t addr)
uintptr_t | unpark_one (uintptr_t addr)
int | unpark_requeue (uintptr_t addr_from, uintptr_t addr_to, uintptr_t unpark_info)

## Public Attributes
uintptr_t *const | lock_state

## Protected Member Functions
bool | validate (validate_action &action) final
uintptr_t | unpark (int unparked, bool more_waiters) final
Protected Member Functions inherited from Halide::Runtime::Internal::Synchronization::parking_control
virtual bool | validate (validate_action &action)
virtual void | before_sleep ()
virtual uintptr_t | unpark (int unparked, bool more_waiters)
virtual void | requeue_callback (const validate_action &action, bool one_to_wake, bool some_requeued)

## Detailed Description

Definition at line 603 of file synchronization_common.h.

## Constructor & Destructor Documentation

## ◆ mutex_parking_control()

ALWAYS_INLINE Halide::Runtime::Internal::Synchronization::mutex_parking_control::mutex_parking_control | ( | uintptr_t * | lock_state | ) |
| inline explicit

Definition at line 606 of file synchronization_common.h.

## Member Function Documentation

## ◆ validate()

bool Halide::Runtime::Internal::Synchronization::mutex_parking_control::validate | ( | validate_action & | action | ) |
| inline final protected virtual

Reimplemented from Halide::Runtime::Internal::Synchronization::parking_control.

Definition at line 611 of file synchronization_common.h.

References lock_state.

## ◆ unpark()

uintptr_t Halide::Runtime::Internal::Synchronization::mutex_parking_control::unpark | ( | int | unparked,
|  | bool | more_waiters
| ) |  |
| inline final protected virtual

Reimplemented from Halide::Runtime::Internal::Synchronization::parking_control.

Definition at line 617 of file synchronization_common.h.

References lock_state.

## Member Data Documentation

## ◆ lock_state

uintptr_t* const Halide::Runtime::Internal::Synchronization::mutex_parking_control::lock_state

Definition at line 604 of file synchronization_common.h.

Referenced by unpark(), and validate().

The documentation for this struct was generated from the following file:

- src/runtime/synchronization_common.h